aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.S3.Commands.GetService

# Documentation

data GetService Source #

Constructors

GetService |

#### Instances

Instances details

SignQuery GetService Source # | ServiceConfiguration: `S3Configuration`

Instance details

Defined in Aws.S3.Commands.GetService

Associated Types

type ServiceConfiguration GetService |
Instance details Defined in Aws.S3.Commands.GetService type ServiceConfiguration GetService = S3Configuration

Methods

signQuery :: GetService -> ServiceConfiguration GetService queryType -> SignatureData -> SignedQuery Source #

Show GetService Source # |
Instance details Defined in Aws.S3.Commands.GetService Methods showsPrec :: Int -> GetService -> ShowS Source # show :: GetService -> String Source # showList :: [GetService] -> ShowS Source #
Transaction GetService GetServiceResponse Source # |
Instance details Defined in Aws.S3.Commands.GetService
type ServiceConfiguration GetService Source # |
Instance details Defined in Aws.S3.Commands.GetService type ServiceConfiguration GetService = S3Configuration

data GetServiceResponse Source #

Constructors

GetServiceResponse |

Fields

- gsrOwner :: UserInfo
- gsrBuckets :: [BucketInfo]

#### Instances

Instances details

AsMemoryResponse GetServiceResponse Source # |

Instance details

Defined in Aws.S3.Commands.GetService

Associated Types

type MemoryResponse GetServiceResponse |
Instance details Defined in Aws.S3.Commands.GetService type MemoryResponse GetServiceResponse = GetServiceResponse

Methods

loadToMemory :: GetServiceResponse -> ResourceT IO (MemoryResponse GetServiceResponse) Source #

Show GetServiceResponse Source # |
Instance details Defined in Aws.S3.Commands.GetService Methods showsPrec :: Int -> GetServiceResponse -> ShowS Source # show :: GetServiceResponse -> String Source # showList :: [GetServiceResponse] -> ShowS Source #
ResponseConsumer r GetServiceResponse Source # |

Instance details

Defined in Aws.S3.Commands.GetService

Associated Types

type ResponseMetadata GetServiceResponse |
Instance details Defined in Aws.S3.Commands.GetService type ResponseMetadata GetServiceResponse = S3Metadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata GetServiceResponse) -> HTTPResponseConsumer GetServiceResponse Source #

Transaction GetService GetServiceResponse Source # |
Instance details Defined in Aws.S3.Commands.GetService
type MemoryResponse GetServiceResponse Source # |
Instance details Defined in Aws.S3.Commands.GetService type MemoryResponse GetServiceResponse = GetServiceResponse
type ResponseMetadata GetServiceResponse Source # |
Instance details Defined in Aws.S3.Commands.GetService type ResponseMetadata GetServiceResponse = S3Metadata